module AppdirectIntegration
  FIELDS = [
{name: 'user_uuid', type: :string, path: ["creator", "uuid"]},
{name: 'user_open_id', type: :string, path: ["creator", "openId"]},
{name: 'user_email', type: :string, path: ["creator", "email"]},
{name: 'user_first_name', type: :string, path: ["creator", "firstName"]},
{name: 'user_last_name', type: :string, path: ["creator", "lastName"]},
{name: 'user_language', type: :string, path: ["creator", "language"]},
{name: 'user_address_full_name', type: :string, path: ["creator", "address", "fullName"]},
{name: 'user_address_company_name', type: :string, path: ["creator", "address", "companyName"]},
{name: 'user_address_phone', type: :string, path: ["creator", "address", "phone"]},
{name: 'user_address_phone_extension', type: :string, path: ["creator", "address", "phoneExtension"]},
{name: 'user_address_fax', type: :string, path: ["creator", "address", "fax"]},
{name: 'user_address_fax_extension', type: :string, path: ["creator", "address", "faxExtension"]},
{name: 'user_address_street1', type: :string, path: ["creator", "address", "street1"]},
{name: 'user_address_street2', type: :string, path: ["creator", "address", "street2"]},
{name: 'user_address_city', type: :string, path: ["creator", "address", "city"]},
{name: 'user_address_state', type: :string, path: ["creator", "address", "state"]},
{name: 'user_address_zip', type: :string, path: ["creator", "address", "zip"]},
{name: 'user_address_country', type: :string, path: ["creator", "address", "country"]},
{name: 'user_address_pobox', type: :string, path: ["creator", "address", "pobox"]},
{name: 'user_address_pozip', type: :string, path: ["creator", "address", "pozip"]},
{name: 'company_uuid', type: :string, path: ["payload", "company", "uuid"]},
{name: 'company_name', type: :string, path: ["payload", "company", "name"]},
{name: 'company_email', type: :string, path: ["payload", "company", "email"]},
{name: 'company_phone', type: :string, path: ["payload", "company", "phoneNumber"]},
{name: 'company_website', type: :string, path: ["payload", "company", "website"]},
{name: 'company_country', type: :string, path: ["payload", "company", "country"]},
{name: 'status', type: :string, path: ["payload", "account", "status"]},
{name: 'edition', type: :string, path: ["payload", "order", "editionCode"]},
{name: 'pricing_duration', type: :string, path: ["payload", "order", "pricingDuration"]},
{name: 'marketplace_url', type: :string, path: ["marketplace", "baseUrl"]},
{name: 'quantity', type: :decimal, path: ["payload", "order", "items", 0, "quantity"]},
{name: 'unit', type: :string, path: ["payload", "order", "items", 0, "unit"]},
{name: 'quantity2', type: :decimal, path: ["payload", "order", "items", 1, "quantity"]},
{name: 'unit2', type: :string, path: ["payload", "order", "items", 1, "unit"]},
{name: 'quantity3', type: :decimal, path: ["payload", "order", "items", 2, "quantity"]},
{name: 'unit3', type: :string, path: ["payload", "order", "items", 2, "unit"]},
{name: 'all_data', type: :text, path: nil} ]

  AR_TO_MONGOID = {
    :string => 'String',
    :decimal => 'BigDecimal',
    :timestamp => 'DateTime',
    :text => 'String'
  }
end
